Webhooks
List delivery attempts
GET /v1/webhooks/{id}/deliveries: List delivery attempts
GET /v1/webhooks/{id}/deliveries
| Operation id | listWebhookDeliveries |
| Key scope | admin: admin keys only |
| Section | Webhooks |
#Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes | pattern ^whk_[0-9a-hjkmnp-tv-z]{26}$ |
limit | query | integer | ≥ 1 · ≤ 100 · default 25 | |
cursor | query | string | min length 1 | |
status | query | "pending", "succeeded", "failed", "exhausted" | ||
event_type | query | enum (24 values) | one of "job.queued", "job.blocked", "job.started", "job.awaiting_input", "job.needs_attention", "job.succeeded", "job.failed", "job.canceled", "batch.completed", "proposal.created", "proposal.decided", "schedule.run", "schedule.changed", "schedule.paused", "schedule.failing", "session.expired", "program.drift_detected", "credits.low", "credits.exhausted", "credits.recharged", "byo.unhealthy", "byo.recovered", "webhook.disabled", "ping" |
#Example request
curl -X GET "https://api.kaab.ist/v1/webhooks/{id}/deliveries" \
-H "Authorization: Bearer $KAAB_API_KEY"
#Responses
#200
Delivery page
| Field | Type | Required | Description |
|---|---|---|---|
data | WebhookDelivery | yes | |
next_cursor | string or null | yes |
#Errors
Every error answers with the error envelope; its code is one of the error codes.
| Status | When |
|---|---|
| 400 | request_invalid: request validation failed |
| 401 | Missing or invalid API key |
| 403 | The key's scope does not cover this operation |
| 404 | Resource not found |
| 429 | Rate limited; see Retry-After |
| 500 | internal: unexpected server error |